# $Revision: 1.42 $, $Date: 2009/02/07 16:56:43 $
# Module for kernels <2.6.24
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_with	verbose		# verbose build (V=1)

%ifarch sparc
%undefine	with_smp
%endif

%if %{without kernel}
%undefine with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif

%define		rel	8
%define		pname	e1000e
Summary:	Intel(R) PRO/1000e driver for Linux
Summary(en.UTF-8):	Intel® PRO/1000e driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel® PRO/1000e
Name:		%{pname}%{_alt_kernel}
Version:	0.5.8.2
Release:	%{rel}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://dl.sourceforge.net/e1000/%{pname}-%{version}.tar.gz
# Source0-md5:	f911e1d04d9d054e6e43f8cf57590409
URL:		http://dl.sourceforge.net/e1000/
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRequires:	rpmbuild(macros) >= 1.379
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux driver for the Intel(R) PRO/1000
family of 10/100/1000 Ethernet network adapters. This driver is
designed to work with the Intel(R) 82571/2/3/4 PCI-E family of gigabit
adapters and 82567 controllers.

%description -l en.UTF-8
This package contains the Linux driver for the Intel® PRO/1000 family
of 10/100/1000 Ethernet network adapters. This driver is designed to
work with the Intel® 82571/2/3/4 PCI-E family of gigabit adapters and
82567 controllers.

%description -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych
10/100/1000Mbit z rodziny Intel® PRO/1000. Ten sterownik jest
stworzony aby pracować z kartami gigabitowymi rodziny Intel®
82571/2/3/4 PCI-E oraz kontrolerami 82567.

%package -n kernel%{_alt_kernel}-net-%{pname}
Summary:	Intel(R) PRO/1000e driver for Linux
Summary(en.UTF-8):	Intel® PRO/1000e driver for Linux
Summary(pl.UTF-8):	Sterownik do karty Intel® PRO/1000e
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%if %{with dist_kernel}
%requires_releq_kernel
Requires(postun):	%releq_kernel
%endif

%description -n kernel%{_alt_kernel}-net-%{pname}
This package contains the Linux driver for the Intel(R) PRO/1000
family of 10/100/1000 Ethernet network adapters. This driver is
designed to work with the Intel(R) 82571/2/3/4 PCI-E family of gigabit
adapters and 82567 controllers.

%description -n kernel%{_alt_kernel}-net-%{pname} -l en.UTF-8
This package contains the Linux driver for the Intel® PRO/1000 family
of 10/100/1000 Ethernet network adapters. This driver is designed to
work with the Intel® 82571/2/3/4 PCI-E family of gigabit adapters and
82567 controllers.

%description -n kernel%{_alt_kernel}-net-%{pname} -l pl.UTF-8
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych
10/100/1000Mbit z rodziny Intel® PRO/1000. Ten sterownik jest
stworzony aby pracować z kartami gigabitowymi rodziny Intel®
82571/2/3/4 PCI-E oraz kontrolerami 82567.

%prep
%setup -q -n %{pname}-%{version}
cat > src/Makefile <<'EOF'
obj-m := e1000e.o
e1000e-objs := netdev.o ethtool.o param.o kcompat.o e1000_80003es2lan.o \
e1000_82571.o e1000_ich8lan.o e1000_mac.o e1000_manage.o e1000_nvm.o \
e1000_phy.o

EXTRA_CFLAGS=-DDRIVER_E1000E -DCONFIG_E1000E_SEPARATE_TX_HANDLER
EOF

%build
%build_kernel_modules -C src -m %{pname}

%install
rm -rf $RPM_BUILD_ROOT
%install_kernel_modules -m src/%{pname} -d kernel/drivers/net -n %{pname} -s current
# blacklist kernel module
cat > $RPM_BUILD_ROOT/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf <<'EOF'
blacklist e1000e
alias e1000e e1000e-current
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-net-%{pname}
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-net-%{pname}
%depmod %{_kernel_ver}

%files	-n kernel%{_alt_kernel}-net-%{pname}
%defattr(644,root,root,755)
%doc e1000e.7 README
/etc/modprobe.d/%{_kernel_ver}/%{pname}.conf
/lib/modules/%{_kernel_ver}/kernel/drivers/net/%{pname}*.ko*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: e1000e.spec,v $
Revision 1.42  2009/02/07 16:56:43  arekm
- release 8

Revision 1.41  2009/01/25 12:55:27  arekm
- release 7

Revision 1.40  2009/01/19 12:30:08  arekm
- release 6

Revision 1.39  2009/01/15 12:53:56  arekm
- release 5

Revision 1.38  2009/01/10 22:37:20  arekm
- release 4

Revision 1.37  2008/12/19 06:30:46  arekm
- release 3

Revision 1.36  2008/12/14 11:42:37  arekm
- release 2

Revision 1.35  2008/12/11 19:36:57  gotar
- enable separated RX/TX/Queue interrupt vectors for MSI-X enabled 82574IT,
  82574L and 82576EB

Revision 1.34  2008/12/06 12:24:11  hawk
- updated to 0.5.8.2

Revision 1.33  2008/12/06 08:59:53  arekm
- release 7

Revision 1.32  2008/12/01 16:53:46  wolvverine
- rel.6:2.6.27.7-3

Revision 1.31  2008/11/21 16:15:25  arekm
- release 5

Revision 1.30  2008/11/15 11:28:39  hawk
- release 4

Revision 1.29  2008/11/08 09:26:51  arekm
- release 3

Revision 1.28  2008/11/04 07:41:40  arekm
- release 2

Revision 1.27  2008/10/25 13:48:14  hawk
- updated to 0.4.1.12

Revision 1.26  2008/10/13 20:47:40  arekm
- release 9

Revision 1.25  2008/10/09 13:20:40  hawk
- release 8

Revision 1.24  2008/09/18 14:12:52  glen
- adapter

Revision 1.23  2008/09/18 14:04:20  glen
- caps

Revision 1.22  2008/09/18 14:01:44  glen
- more ®

Revision 1.21  2008/09/18 13:55:43  glen
- C locale Summary/description must be in US-ASCII, not UTF-8

Revision 1.20  2008/09/09 08:59:18  hawk
- release 7

Revision 1.19  2008/09/06 12:40:56  marcus
- head for Th/Ti

Revision 1.17  2008/09/02 06:41:37  arekm
- release 6

Revision 1.16  2008/08/06 20:19:37  hawk
- release 5

Revision 1.15  2008/08/03 10:19:52  arekm
- release 4

Revision 1.14  2008/07/29 10:33:31  hawk
- release 3

Revision 1.13  2008/07/25 07:10:06  arekm
- release 2

Revision 1.12  2008/07/22 13:18:17  hawk
- updated to 0.4.1.7

Revision 1.11  2008/07/19 08:00:51  arekm
- release 9

Revision 1.10  2008/07/15 09:15:40  arekm
- release 8

Revision 1.9  2008/07/02 20:43:25  arekm
- release 7

Revision 1.8  2008/06/26 06:46:05  arekm
- release 6

Revision 1.7  2008/06/24 11:24:31  arekm
- release 5

Revision 1.6  2008/06/23 19:15:06  hawk
- release 4

Revision 1.5  2008/06/08 16:43:27  hawk
- release 3

Revision 1.4  2008-05-24 10:07:36  hawk
- release 2

Revision 1.3  2008-05-23 08:11:58  hawk
- adapterized

Revision 1.2  2008-05-05 15:42:47  hawk
- merged blacklisting of old module from e1000.spec

Revision 1.1  2008-04-24 10:04:39  blues
- initial, driver is in 2.6.24
